Skip to main content
GET
Get single product details

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

Product ID

retailer_pk
number
required

Retailer ID

Response

200 - application/json

OK

id
integer
read-only

product ID

Example:

2863

parent_identifier
string
read-only

ID of parent product

Minimum string length: 1
Example:

"1000-BL"

parent_name
string
read-only

Parent name

Minimum string length: 1
Example:

"T-Shirt, Blue"

description
string | null

Product description

Example:

null

brand
object
brand_category
string | null

Brand category

Required string length: 1 - 64
Example:

null

brand_name
string | null

Brand name

Required string length: 1 - 64
Example:

null

manufacturer
object
num_variants
integer
read-only

Number of variants

Example:

1

variants
object
media
object[]
read-only
rcn_status
enum<string>

Status of product in Dropship network

Available options:
not_published,
pending,
failed,
expired,
published
Example:

"not_published"

primary_media
object
pivot_attributes
object[]
taxonomy
object[]
read-only
revcascade_taxonomy
object[]
read-only
attributes
object[]
read-only
last_published
object
created_at
string<date-time>
read-only

Time of product creation in Dropship

Example:

"2022-08-10T15:24:56Z"

updated_at
string<date-time>
read-only

Time of when product was last updated in Dropship

Example:

"2022-09-10T15:24:56Z"